<template>
  <div>
    <div class="contenedorPrincipal">
      <div class="flexSB">
        <h1 class="tituloPagina">Metodología 7s</h1>
        <div class="divBuscar">
          <v-text-field
            v-model="buscar"
            single-line
            solo
            placeholder="Buscar por Ceco o nombre"
          ></v-text-field>
        </div>
      </div>
      <div class="tituloSeccion">
        Consulta su nivel de cumplimiento por periodo de tiempo y nivel
        geográfico
      </div>
      <div class="gris">
        <v-form>
          <v-container>
            <div class="divCol">
              <div class="col6 divSelect">
                <div>Periodo de consulta:</div>
                <v-select
                  color="primary"
                  :items="items"
                  label="Elige una opción"
                  single-line
                  solo
                ></v-select>
              </div>
              <div class="col6 divSelect">
                <div>Año de consulta:</div>
                <v-select
                  :items="consultas"
                  label="Elige una opción"
                  single-line
                  solo
                ></v-select>
              </div>
              <div class="col6 divSelect">
                <div>Negocio:</div>
                <v-select
                  :items="negocios"
                  label="Elige una opción"
                  single-line
                  solo
                ></v-select>
              </div>
              <div class="col6 divSelect">
                <div>Geografia:</div>
                <v-select
                  :items="geografias"
                  v-model="geografia"
                  label="Elige una opción"
                  single-line
                  solo
                  item-text="title"
                ></v-select>
              </div>
              <div class="col6 divSelect" v-if="geografia === 'Región'">
                <div>Región:</div>
                <v-select
                  :items="regiones"
                  v-model="region"
                  label="Elige una opción"
                  single-line
                  solo
                  item-text="title"
                ></v-select>
              </div>
              <div class="col6">
                <br />
                <v-btn color="primary">Generar consulta</v-btn>
              </div>
            </div>
          </v-container>
        </v-form>
      </div>
      <br />
      <div class="contenedor2">
        <div>
          <div>
            Calificación final y distribución de la calificación final nivel
            <span class="bold" style="margin-left:3px;"> Región X</span>
          </div>
          <div class="contenedorGraficasPrincipal">
            <div class="contenedorGrafica">
              <div class="hello" id="chartdiv" ref="chartdiv"></div>
              <div class="number tBold">78</div>
              <div class="text">Valo σ: <span class="tBold">-.86</span></div>
            </div>
            <div class="contenedorGrafica2">
              <div class="hello" id="chartdiv2" ref="chartdiv2"></div>
            </div>
          </div>
        </div>
        <div>
          <div>
            Cumplimiento de la disciplina en porcentaje por Negocio nivel
            <span class="bold" style="margin-left:3px;"> Región X</span>
          </div>
          <div class="contenido">
            <div
              class="divRadio"
              style="display: flex;justify-content: flex-end;"
            >
              <v-radio-group>
                <v-radio
                  color="primary"
                  label="Porcentaje (%)"
                  value="radio-1"
                ></v-radio>
                <v-radio
                  color="primary"
                  label="Puntos de contacto"
                  value="radio-2"
                ></v-radio>
              </v-radio-group>
            </div>
            <div
              class="contenedorBarra"
              v-for="cumplimiento in cumplimientos"
              :key="cumplimiento.index"
            >
              <div>
                <img :src="cumplimiento.img" class="segundaSeccionImg" />
                <div class="barra tBold">
                  <div
                    class="verde"
                    v-bind:style="{ width: cumplimiento.verde + '%' }"
                  >
                    {{ cumplimiento.verde }}%
                  </div>
                  <div
                    class="amarillo"
                    v-bind:style="{ width: cumplimiento.amarillo + '%' }"
                  >
                    {{ cumplimiento.amarillo }}%
                  </div>
                  <div
                    class="rojo"
                    v-bind:style="{ width: cumplimiento.rojo + '%' }"
                  >
                    {{ cumplimiento.rojo }}%
                  </div>
                  <div
                    class="negro"
                    v-bind:style="{ width: cumplimiento.negro + '%' }"
                  >
                    {{ cumplimiento.negro }}%
                  </div>
                </div>
              </div>

              <div class="infoGrafica">
                <span class="bold" style="margin-right:3px;"
                  >{{ cumplimiento.puntos }} Puntos de Contacto</span
                >
                evaluados para el negocio {{ cumplimiento.nombre }}
              </div>
            </div>
          </div>
          <div class="footerGrafica2">
            <img
              src="~@/assets/img/company.svg"
              width="15px"
              style="margin-right: 5px;margin-top: 3px;"
            />
            <span class="bold">189 Puntos de Contacto</span> evaluados de 350
            Puntos de Contacto correspondiente al territorio Nacional
          </div>
        </div>
      </div>
      <br />
      <div class="gris">
        <img src="~@/assets/img/logoBancoAzteca.svg" style="width: 80px;" />
        <h2 class="tituloBloque">
          Distribución del cumplimiento por <span class="bold">Región X</span>
        </h2>
        <div class="divCumplimiento">
          <div
            class="w98Radio divRadio"
            style="display: flex;justify-content: flex-end;"
          >
            <v-radio-group>
              <v-radio
                color="primary"
                label="Porcentaje (%)"
                value="radio-3"
              ></v-radio>
              <v-radio
                color="primary"
                label="Puntos de contacto"
                value="radio-4"
              ></v-radio>
            </v-radio-group>
          </div>
          <div
            class="barrasDistribucion"
            v-for="distribucion in distribuciones"
            :key="distribucion.index"
            style="display: flex;width: 98%;margin: 0 auto 10px auto;"
          >
            <div style="width: 120px;">
              <a class="liga">{{ distribucion.nombre }}</a>
            </div>
            <div class="barra tBold">
              <div
                class="verde"
                v-bind:style="{ width: distribucion.verde + '%' }"
              >
                {{ distribucion.verde }}%
              </div>
              <div
                class="amarillo"
                v-bind:style="{ width: distribucion.amarillo + '%' }"
              >
                {{ distribucion.amarillo }}%
              </div>
              <div
                class="rojo"
                v-bind:style="{ width: distribucion.rojo + '%' }"
              >
                {{ distribucion.rojo }}%
              </div>
              <div
                class="negro"
                v-bind:style="{ width: distribucion.negro + '%' }"
              >
                {{ distribucion.negro }}%
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="divCumplimientoTerritorio">
        <div class="gris2">
          <h2 class="tituloBloque">
            Cumplimiento y puntaje en el territorio
            <span class="bold">Nacional</span>
          </h2>
          <div class="divCumplimiento scrollY">
            <v-simple-table class="tblVue tblDistribucion">
              <template v-slot:default>
                <thead class="tblHead">
                  <tr>
                    <th class="text-center">Negocio</th>
                    <th class="text-center">Puntos de contacto #</th>
                    <th class="text-center">Cumple #</th>
                    <th class="text-center">Cumple %</th>
                    <th class="text-center">Puntaje</th>
                  </tr>
                </thead>
                <tbody class="tblBody">
                  <tr v-for="item in puntajes" :key="item.puntosContacto">
                    <td class="cantidad"><img :src="item.negocio" /></td>
                    <td class="cantidad">{{ item.puntosContacto2 }}</td>
                    <td class="cantidad">{{ item.cumple }}</td>
                    <td class="cantidad">{{ item.cumplePorcentaje }}</td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.puntaje }}
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </div>
        </div>
        <br />
        <div class="gris2">
          <h2 class="tituloBloque">
            Cumplimiento de las 7s nivel <span class="bold">Nacional</span>
          </h2>
          <div class="divCumplimiento7s">
            <v-simple-table class="tblVue tblCumplimiento7s">
              <template v-slot:default>
                <thead class="tblHead">
                  <tr>
                    <th class="text-center">Selección</th>
                    <th class="text-center">Orden</th>
                    <th class="text-center">Limpieza</th>
                    <th class="text-center">Servicio</th>
                    <th class="text-center">Seguridad</th>
                    <th class="text-center">Estandarización</th>
                    <th class="text-center">Disciplina y salud</th>
                  </tr>
                </thead>
                <tbody class="tblBody">
                  <tr v-for="item in sietes" :key="item.negocio">
                    <td class="cantidad">{{ item.seleccion }}</td>
                    <td class="cantidad">{{ item.orden }}</td>
                    <td class="cantidad">{{ item.limpieza }}</td>
                    <td class="cantidad">{{ item.servicio }}</td>
                    <td class="cantidad">{{ item.seguridad }}</td>
                    <td class="cantidad">{{ item.estandarización }}</td>
                    <td class="cantidad">{{ item.disciplina }}</td>
                  </tr>
                  <tr v-for="item in sietesRegion" :key="item.negocio">
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.seleccion }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.orden }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.limpieza }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.servicio }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.seguridad }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.estandarización }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.disciplina }}
                    </td>
                  </tr>
                  <tr v-for="item in sietesRegion" :key="item.negocio">
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.seleccion }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.orden }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.limpieza }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.servicio }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.seguridad }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.estandarización }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.disciplina }}
                    </td>
                  </tr>
                  <tr v-for="item in sietesRegion" :key="item.negocio">
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.seleccion }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.orden }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.limpieza }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.servicio }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.seguridad }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.estandarización }}
                    </td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.disciplina }}
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </div>
        </div>
      </div>
      <div class="divCumplimientoRegion">
        <div class="gris2">
          <h2 class="tituloBloque">
            Cumplimiento y puntaje en <span class="bold">Región X</span>
          </h2>
          <div class="divCumplimiento scrollY">
            <v-simple-table class="tblVue tblDistribucion">
              <template v-slot:default>
                <thead class="tblHead">
                  <tr>
                    <th class="text-center">Puntos de contacto</th>
                    <th class="text-center">Puntos de contacto #</th>
                    <th class="text-center">Cumple #</th>
                    <th class="text-center">Cumple %</th>
                    <th class="text-center">Puntaje</th>
                  </tr>
                </thead>
                <tbody class="tblBody">
                  <tr v-for="item in puntajes" :key="item.puntosContacto">
                    <td class="cantidad">
                      <a href="#" class="liga">{{ item.puntosContacto }}</a>
                    </td>
                    <td class="cantidad">{{ item.puntosContacto2 }}</td>
                    <td class="cantidad">{{ item.cumple }}</td>
                    <td class="cantidad">{{ item.cumplePorcentaje }}</td>
                    <td class="cantidad">
                      <div class="puntajeAmarillo"></div>
                      {{ item.puntaje }}
                    </td>
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
          </div>
        </div>
        <br />
      </div>
      <div class="divTopIncumplimientos">
        <v-tabs vertical grow :hide-slider="false" class="tabEstiloPrimario">
          <v-tab class="tabGrupoElektra"></v-tab>
          <v-tab class="tabBAZ"></v-tab>
          <v-tab class="tabEKT"></v-tab>
          <v-tab class="tabPrestaPrenda"></v-tab>

          <v-tab-item>
            <div class="divCol">
              <div class="col2">
                <h3>Top de incumplimiento nivel proceso</h3>
                <div class="divIncumplimientos">
                  <div class="numero">1</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente? <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">2</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente? <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">3</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente? <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">4</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente? <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
                <div class="divIncumplimientos">
                  <div class="numero">5</div>
                  <div class="texto">
                    ¿El iPad del asesor de piso financiero funciona
                    correctamente? <br />
                    <div class="bold">
                      En 610 puntos de contacto no se cumple
                    </div>
                  </div>
                </div>
              </div>
              <div class="col2">
                <h3>Frecuencia de imperdonables</h3>
                <div class="barraProgreso">
                  <div class="w52 bgBarra">52%</div>
                </div>
                <div class="textoFrecuencia">
                  "En punto de venta falta herramientas necesarias para la
                  operación"
                  <br />
                  <span class="bold">En 600 puntos de contacto sucede</span>
                </div>
                <br />
                <div class="barraProgreso">
                  <div class="w12 bgBarra">12%</div>
                </div>
                <div class="textoFrecuencia">
                  "En punto de venta falta herramientas necesarias para la
                  operación"
                  <br />
                  <span class="bold">En 600 puntos de contacto sucede</span>
                </div>
                <br />
                <div class="barraProgreso">
                  <div class="w25 bgBarra">25%</div>
                </div>
                <div class="textoFrecuencia">
                  "En punto de venta falta herramientas necesarias para la
                  operación"
                  <br />
                  <span class="bold">En 600 puntos de contacto sucede</span>
                </div>
              </div>
            </div>
          </v-tab-item>
          <v-tab-item>
            <div class="gris2">
              <p>Contenido 2</p>
            </div>
          </v-tab-item>
          <v-tab-item>
            <div class="gris2">
              <p>Contenido 3</p>
            </div>
          </v-tab-item>
          <v-tab-item>
            <div class="gris2">
              <p>Contenido 4</p>
            </div>
          </v-tab-item>
        </v-tabs>
        <div class="text-center">
          <v-btn color="primary"
            >Descargar Excel de la información a nivel nacional</v-btn
          >
        </div>
      </div>
    </div>
    <br />
    <Footer />
  </div>
</template>

<style scoped>
a.liga {
  color: #000000 !important;
  text-decoration: underline;
  font-family: "AvenirNextLTPro-Medium";
  cursor: pointer;
}
.contenedorPrincipal {
  margin: 40px 30px;
}

.contenedor2 {
  display: flex;
  justify-content: space-between;
}
.contenedor2 > div {
  width: 49%;
  border: solid 1px #cccccc;
}
.contenedor2 > div > div:nth-child(1) {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #1e2945;
  color: white;
  padding: 5px 0px;
}

.tBold {
  font-family: "Avenir_Next_Demi_Bold";
}

.contenedorGraficasPrincipal {
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-sizing: border-box;
  padding: 34px 15px;
}

.contenedorGrafica {
  min-height: 215px;
  position: relative;
  width: 30%;
  display: flex;
  padding: 25px 25px 10px 25px;
  flex-direction: column;
}
.contenedorGrafica > .text {
  text-align: center;
  padding-top: 10px;
}

.contenedorGrafica2 {
  width: 70%;
  padding: 32px 10px 0px 0px;
  font-size: 9px;
  text-align: center;
}

.contenedorGrafica > .number {
  position: absolute;
  right: 0%;
  left: 0%;
  top: 39%;
  margin: 0 auto;
  font-size: 40px;
  text-align: center;
}

.contenedorBarra > div:nth-child(1) {
  display: flex;
  width: 100%;
  align-items: center;
}
.contenedorBarra > div:nth-child(2) {
  display: flex;
  width: 100%;
  align-items: center;
}

.segundaSeccionImg {
  width: 40px;
  margin: 0px 15px 0px 6px;
}

.contenido {
  min-height: 195px;
  padding: 15px;
  border-bottom: unset;
}

.barra {
  width: 100%;
  display: flex;
  color: white;
}

.barra > .verde {
  background-color: #a2cc83;
}
.barra > .amarillo {
  background-color: #f5c65c;
}
.barra > .rojo {
  background-color: #ea5274;
}
.barra > .negro {
  background-color: #242424;
}
.barra > div {
  height: 23px;
  display: flex;
  align-items: center;
  padding-left: 6px;
}

.infoGrafica {
  padding: 5px 0px 5px 60px;
  font-size: 12px;
  color: #969696;
}

.footerGrafica2 {
  width: 100%;
  background-color: #e5e5e5;
  border-top: unset;
  padding: 3px 20px;
}
/* GENERAL */
.gris2 {
  width: 100%;
  margin: 0px auto;
  padding: 15px 15px;
  background-color: #fcfcfc;
  width: 100%;
  margin: 0px auto;
  padding: 15px 15px;
  -moz-box-shadow: 0 0px 1px rgb(226, 222, 222);
  -webkit-box-shadow: 0 0px 1px rgb(226, 222, 222);
  box-shadow: 0 0px 1px rgb(226, 222, 222);
  margin-bottom: 15px;
  text-align: justify;
  height: 100%;
  -moz-box-shadow: 0 0px 1px rgb(226, 222, 222);
  -webkit-box-shadow: 0 0px 1px rgb(226, 222, 222);
  box-shadow: 0 0px 1px rgb(226, 222, 222);
  margin-bottom: 15px;
  text-align: justify;
  height: 100%;
}
.gris {
  width: 100%;
  margin: 0px auto;
  padding: 15px 15px;
  background-color: #faf9f9;
  -moz-box-shadow: 0 0px 1px rgb(226, 222, 222);
  -webkit-box-shadow: 0 0px 1px rgb(226, 222, 222);
  box-shadow: 0 0px 1px rgb(226, 222, 222);
  margin-bottom: 15px;
  text-align: justify;
  height: 100%;
}
.divCol {
  display: flex !important;
  flex-wrap: wrap !important;
  align-items: flex-start !important;
}
.divCol > .col6 {
  width: 14.66% !important;
  margin: 15px 1% !important;
}
.tituloBloque {
  font-size: 18px;
  color: #000;
  padding-bottom: 15px;
  font-family: "Avenir_Next_Regular", sans-serif;
}
.bold {
  font-family: "Avenir_Next_Bold", sans-serif;
}
.flexSB {
  display: flex;
  justify-content: space-between;
}
.w98Radio {
  width: 98%;
  margin: 0 auto;
}
.tituloSeccion {
  font-size: 16px;
  border-bottom: 2px solid #ffcd13;
}
.tituloPagina {
  font-family: "Avenir_Next_Bold";
  font-size: 22px;
}

.divCol2Input {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.divCol2Input > div {
  width: 50%;
  min-width: 160px;
}
</style>
<style scoped>
.divRadio .v-input--selection-controls__ripple.primary--text,
.divRadio .v-application .primary--text {
  color: #313131 !important;
  caret-color: #313131 !important;
}
.divRadio .v-input--selection-controls__input .v-icon {
  color: #313131 !important;
  caret-color: #313131 !important;
}

/* FORMULARIO */

::-webkit-input-placeholder {
  /* Edge */
  color: #2d2926 !important;
  font-size: 11px !important;
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: #2d2926 !important;
  font-size: 11px !important;
}

::placeholder {
  color: #2d2926 !important;
  font-size: 11px !important;
}
.v-input .v-text-field__slot .primary--text {
  color: #2d2926 !important;
}
.v-text-field__slot,
.v-select__selections,
.v-list-item__title {
  font-size: 11px !important;
}
.v-select-list .v-list-item .primary--text {
  color: #2d2926 !important;
}

/*Inputs*/
.v-text-field--solo .v-input__control {
  min-height: 29px !important;
}
.v-text-field--solo .v-input__slot {
  border: 1px solid #bfbfbf;
  border-radius: 0 !important;
  box-shadow: none !important;
  min-height: 37px !important;
}
.v-input .v-input__prepend-outer {
  margin-right: 0 !important;
}

.v-file-input label {
  font-size: 11px !important;
}
.v-text-field .v-label {
  height: 20px !important;
  line-height: 18px !important;
  font-size: 14px !important;
}
.theme--light.v-label {
  color: #2d2926 !important;
}
.v-input input {
  max-height: 29px !important;
}

.v-textarea {
  /* border: 1px solid #bfbfbf !important; */
  background-color: #ffffff !important;
  height: 79px !important;
}
.v-textarea.v-text-field--enclosed,
.v-textarea.v-text-field--enclosed.v-text-field--outlined:not(.v-input--dense)
  textarea {
  margin-top: 0 !important;
}
.v-textarea textarea {
  resize: none !important;
  padding: 7px 10px !important;
  height: 79px !important;
  width: 100% !important;
  margin-top: 0 !important;
}

.v-file-input .v-input__prepend-outer {
  display: none !important;
}
.v-file-input label {
  font-size: 11px !important;
}
.v-file-input .v-input__icon {
  background-image: url("~@/assets/img/icoAdjuntar.svg");
  background-size: 17px;
  background-position: center center;
  background-repeat: no-repeat;
  width: 19px;
  height: 19px;
}

.v-file-input .mdi-close::before {
  content: "\F156";
  margin-right: 60px;
  font-size: 17px;
  z-index: 8;
}

/*Select*/
.v-application .primary--text,
.divSelect .v-input--is-focused .v-input__control .primary--text {
  color: #2d2926 !important;
}
.divSelect {
  position: relative;
}
.v-select__selections {
  padding: 0 0 !important;
}
.v-select__selection {
  font-size: 14px !important;
}
.divSelect .v-menu__content {
  border: 1px solid #aab7ce;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  list-style: none;
  min-width: 100% !important;
  max-height: 304px;
  top: 29px !important;
  left: 0 !important;
  transform-origin: left top;
  z-index: 8;
}
.divSelect .v-icon {
  background-image: url("~@/assets/img/select.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: 15px;
  width: 15px;
  height: 15px;
}
.divSelect .v-input__slot {
  position: relative;
}
.divSelect .v-menu__content {
  left: 0 !important;
  top: 0 !important;
}
.divSelect .v-input__append-inner {
  margin-top: 2px !important;
}
.divSelect .v-select .v-select--is-menu-active .v-input__icon--append .v-icon {
  transform: rotate(180deg);
}

.divSelect .mdi-menu-down::before {
  content: none !important;
}
.v-select-list .v-list-item {
  min-height: 30px !important;
}
.v-select-list .v-list-item__content {
  padding: 5px 0 !important;
}
.v-select-list .v-list-item:hover {
  background-color: #ffcd1361 !important;
}
.v-select-list .v-list-item:hover .v-list-item__title {
  color: #000 !important;
}
.v-input__slot {
  padding: 1px 12px !important;
}

.v-application .primary--text {
  color: #000 !important;
}

/*Radios*/
.v-input--radio-group .v-input--selection-controls__input .accent--text:before {
  display: none !important;
}
.divRadio .v-input--radio-group .v-input--selection-controls__input {
  content: "";
  background-image: url("~@/assets/img/radio.svg");
  background-size: 15px !important;
  width: 20px !important;
  height: 20px !important;
  background-position: center 1px !important;
  background-repeat: no-repeat !important;
  margin-right: 8px;
}
.divRadio .v-item--active .v-input--selection-controls__input {
  background-image: url("~@/assets/img/radioSelected.svg") !important;
  background-size: 15px !important;
  width: 20px !important;
  height: 20px !important;
  background-repeat: no-repeat !important;
}
.mdi-radiobox-blank::before {
  content: none !important;
}
.divRadio .v-label {
  font-size: 14px !important;
}
.divRadio .v-input--selection-controls {
  margin-top: 0 !important;
  padding-top: 0 !important;
}
.divRadio .v-input--selection-controls__ripple.primary--text {
  width: 20px;
  height: 20px;
}
.divRadio .v-input--selection-controls__ripple {
  left: -12px;
  top: calc(50.5% - 23.5px);
  margin: 12px;
}
.divRadio .v-input--selection-controls__input .v-icon {
  /* width: 18px; */
  height: 17px;
  font-size: 19px !important;
}
/******/
.divBuscar {
  width: 25%;
  height: 37px;
}
.divBuscar .v-text-field .v-input__slot {
  background-image: url("~@/assets/img/lupa.svg") !important;
  background-repeat: no-repeat !important;
  background-size: 15px !important;
  background-position: 5px center !important;
  padding: 3px 26px !important;
}

/* TABLA */

.tblVue {
  width: 100%;
  background-color: #fcfcfc !important;
}
.tblVue .tblHead tr th {
  padding: 5px 10px 6px 10px;
  color: #333333 !important;
  text-align: center;
  font-weight: 100;
  border-bottom: 1px solid #3e3d3d !important;
  font-size: 14px;
  font-family: "Avenir_Next_Bold";
  min-width: 87px;
}
.tblVue .v-data-table__wrapper {
  overflow-x: hidden !important;
}

.tblVue .tblBody tr td {
  padding: 7px 10px 7px 10px;
  color: #606664;
  font-size: 13px;
  text-align: center;
  border-bottom: 1px solid #bebebe !important;
}
.tblVue .tblBody tr:last-of-type td {
  border-bottom: none !important;
}

.theme--light.v-data-table tbody tr:hover {
  background: #eeeeee !important;
}

.tblVue tbody tr td.cantidad {
  width: 120px;
  margin: auto;
  text-align: center;
  color: #000;
}
.tblVue tbody tr td div {
  width: 15px;
  height: 15px;
  border-radius: 100%;
  display: inline-block;
  margin-right: 5px;
}
.tblVue tbody tr td img {
  width: 65px;
}

.tblVue tr.total td {
  font-family: "Avenir_Next_Demi_Bold";
}

.divCumplimiento {
  width: 100%;
  margin: 0 auto;
  border: 1px solid #bfbfbf;
  padding-top: 10px;
}
.divCumplimiento .tblVue,
.divCumplimiento7s .tblVue {
  padding: 15px;
  box-sizing: border-box;
}
.puntajeAmarillo {
  background-color: #f3c75c;
}
.scrollY {
  overflow-y: scroll;
}

/* TABS */

.v-tab {
  text-transform: capitalize !important;
  font-weight: inherit !important;
  border-bottom: 2px solid #ffffff;
}
.v-tab:last-of-type {
  border-right: 0px;
}
.theme--light.v-tabs > .v-tabs-bar {
  background-color: #f2f2f2 !important;
}

.tabEstiloPrimario .v-tab--active {
  background-color: #fcfcfc;
  color: #000000 !important;
  font-weight: bold !important;
  box-shadow: -3px 5px 11px -5px rgba(153, 150, 153, 1);
}

.tabEstiloPrimario .v-tab--active:focus {
  background-color: transparent !important;
}

.tabEstiloSecundario .v-tab--active {
  background-color: transparent;
  color: rgba(0, 0, 0, 0.54) !important;
  font-weight: bold !important;
}
.tab .v-item-group .v-slide-group__wrapper .v-tabs-bar__content .v-tab--active {
  background-color: #ffffff !important;
  color: #ffffff !important;
  font-weight: bold !important;
}
.theme--light.v-tabs-items {
  background-color: transparent !important;
}

/**/
.v-tabs--vertical > .v-tabs-bar .v-tab {
  min-height: 96px;
}
.imgLogoTabs {
  width: 70px;
  display: block;
  margin: 0 auto;
}
.divTopIncumplimientos h3 {
  font-size: 16px;
  color: #000000;
  font-family: "AvenirNextLTPro-Medium";
  margin-bottom: 15px;
}
.tabEstiloPrimario {
  margin-top: 15px;
}
.tabEstiloPrimario .col2 {
  padding: 15px 15px 15px 35px;
  box-sizing: border-box;
  width: 48%;
}

.tabEstiloPrimario .v-window {
  background-color: #fcfcfc !important;
  -webkit-box-shadow: 6px 6px 11px -5px rgb(180, 180, 180);
  -moz-box-shadow: 6px 6px 11px -5px rgba(153, 150, 153, 1);
  box-shadow: 6px 6px 11px -5px rgba(153, 150, 153, 1);
}
.divIncumplimientos {
  width: 100%;
  display: flex;
  color: #000000;
  margin-bottom: 10px;
}
.divIncumplimientos .numero {
  color: #cccccc;
  font-size: 22px;
  text-align: center;
  width: 10%;
  font-family: "Avenir_Next_Bold";
}
.divIncumplimientos .texto {
  width: 90%;
  font-size: 14px;
}

.tabEstiloPrimario .col2:first-of-type {
  border-right: 1px solid #000000;
}

.barraProgreso {
  width: 100%;
  height: 20px;
}
.barraProgreso > div {
  height: 20px;
  color: #ffffff;
  font-size: 14px;
  text-align: left;
  padding-left: 15px;
}
.barraProgreso .w52 {
  width: 52%;
}
.barraProgreso .w12 {
  width: 12%;
}
.barraProgreso .w25 {
  width: 25%;
}
.bgBarra {
  background-color: #b4b4b4;
}
.textoFrecuencia {
  font-size: 12px;
  color: #000000;
  text-align: left;
}
.tabEstiloPrimario .v-tab {
  background-repeat: no-repeat;
  background-size: 70px;
  background-position: center;
}
.tabEstiloPrimario .tabGrupoElektra {
  background-image: url("~@/assets/img/logoGEKBN.svg");
}

.tabGrupoElektra.v-tab--active {
  background-image: url("~@/assets/img/logoGrupoElektra.svg") !important;
}

.tabEstiloPrimario .tabBAZ {
  background-image: url("~@/assets/img/logoBAZBN.svg");
}

.tabBAZ.v-tab--active {
  background-image: url("~@/assets/img/logoBancoAzteca.svg") !important;
}

.tabEstiloPrimario .tabEKT {
  background-image: url("~@/assets/img/logoEKTBN.svg");
}
.tabEKT.v-tab--active {
  background-image: url("~@/assets/img/logoElektra.svg") !important;
}

.tabEstiloPrimario .tabPrestaPrenda {
  background-image: url("~@/assets/img/logoPPRBN.svg");
}
.tabPrestaPrenda.v-tab--active {
  background-image: url("~@/assets/img/logoPrestaPrenda.svg") !important;
}

@media (min-width: 1264px) {
  .container {
    max-width: 100% !important;
  }
}

@media (min-width: 960px) {
  .container {
    max-width: 100% !important;
  }
}
</style>

<script>
/* Imports */
import Footer from "./Footer";
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";

am4core.useTheme(am4themes_animated);

export default {
  components: {
    Footer
  },
  name: "Metodologia",
  data() {
    return {
      cumplimientos: [
        {
          nombre: "BAZ",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8,
          img: require("@/assets/img/logoBancoAzteca.svg")
        },
        {
          nombre: "Elektra",
          puntos: 117,
          verde: 51,
          amarillo: 23,
          rojo: 18,
          negro: 8,
          img: require("@/assets/img/logoElektra.svg")
        },
        {
          nombre: "Presta Prenda",
          puntos: 132,
          verde: 20,
          amarillo: 67,
          rojo: 5,
          negro: 8,
          img: require("@/assets/img/logoPrestaPrenda.svg")
        }
      ],
      distribuciones: [
        {
          nombre: "48676 La luna",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8
        },
        {
          nombre: "48676 La luna",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8
        },
        {
          nombre: "48676 La luna",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8
        },
        {
          nombre: "48676 La luna",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8
        },
        {
          nombre: "48676 La luna",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8
        },
        {
          nombre: "48676 La luna",
          puntos: 189,
          verde: 54,
          amarillo: 23,
          rojo: 15,
          negro: 8
        }
      ],
      buscar: "",
      item: "",
      items: ["1º Trimestre", "2º Trimestre", "3º Trimestre", "4º Trimestre"],
      consultas: ["2020", "2019", "2018"],
      negocios: [
        "Todos los negocios",
        "BAZ",
        "ELEKTRA",
        "Presta Prenda",
        "GCC"
      ],
      geografia: "",
      geografias: [
        { id: "1", title: "Nacional" },
        { id: "2", title: "Territorio" },
        { id: "3", title: "Zona" },
        { id: "4", title: "Región" },
        { id: "5", title: "Punto de contacto" }
      ],
      region: "",
      regiones: [
        { id: "1", title: "48907 - Región X" },
        { id: "2", title: "Opción 2" },
        { id: "3", title: "Opción 3" }
      ],
      menu1: "",
      puntajes: [
        {
          negocio: require("@/assets/img/logoBancoAzteca.svg"),
          puntosContacto: "48676 La luna",
          puntosContacto2: "1,150",
          cumple: "655",
          cumplePorcentaje: "57%",
          puntaje: "80"
        },
        {
          negocio: require("@/assets/img/logoElektra.svg"),
          puntosContacto: "48676 La luna",
          puntosContacto2: "1,150",
          cumple: "655",
          cumplePorcentaje: "57%",
          puntaje: "80"
        },
        {
          negocio: require("@/assets/img/logoPrestaPrenda.svg"),
          puntosContacto: "48676 La luna",
          puntosContacto2: "1,150",
          cumple: "655",
          cumplePorcentaje: "57%",
          puntaje: "80"
        },
        {
          negocio: require("@/assets/img/logoBancoAzteca.svg"),
          puntosContacto: "48676 La luna",
          puntosContacto2: "1,150",
          cumple: "655",
          cumplePorcentaje: "57%",
          puntaje: "80"
        },
        {
          negocio: require("@/assets/img/logoElektra.svg"),
          puntosContacto: "48676 La luna",
          puntosContacto2: "1,150",
          cumple: "655",
          cumplePorcentaje: "57%",
          puntaje: "80"
        },
        {
          negocio: require("@/assets/img/logoPrestaPrenda.svg"),
          puntosContacto: "48676 La luna",
          puntosContacto2: "1,150",
          cumple: "655",
          cumplePorcentaje: "57%",
          puntaje: "80"
        }
      ],
      sietes: [
        {
          seleccion: "13",
          orden: "13",
          limpieza: "13",
          servicio: "13",
          seguridad: "13",
          estandarización: "13",
          disciplina: "13"
        }
      ],
      sietesRegion: [
        {
          seleccion: "10",
          orden: "10",
          limpieza: "10",
          servicio: "10",
          seguridad: "10",
          estandarización: "10",
          disciplina: "10"
        }
      ],
      verTerritorio: false,
      verRegion: false
    };
  },
  methods: {
    drawCharts() {
      let chart = am4core.create(this.$refs.chartdiv, am4charts.PieChart);
      chart.data = [
        {
          country: "Lithuania",
          litres: 100,
          color: am4core.color("#fff")
        },
        {
          country: "Juan",
          litres: 500,
          color: am4core.color("#f5c65c")
        }
      ];

      chart.innerRadius = am4core.percent(100);

      let pieSeries = chart.series.push(new am4charts.PieSeries());
      pieSeries.dataFields.value = "litres";
      pieSeries.slices.template.propertyFields.fill = "color";
      pieSeries.slices.template.tooltipText = "";
      pieSeries.labels.template.text = "{value}";
      pieSeries.slices.template.strokeWidth = 2;
      pieSeries.slices.template.strokeOpacity = 1;

      pieSeries.hiddenState.properties.opacity = 1;
      pieSeries.hiddenState.properties.endAngle = -90;
      pieSeries.hiddenState.properties.startAngle = -90;

      let chart2 = am4core.create(this.$refs.chartdiv2, am4charts.XYChart);

      let data2 = [
        {
          valueX: "100",
          income: 600,
          expenses: 0
        },
        {
          valueX: "95",
          income: 400,
          expenses: 10
        },
        {
          valueX: "80",
          income: 70,
          expenses: 50
        },
        {
          valueX: "75",
          income: 60,
          expenses: 300
        },
        {
          valueX: "70",
          income: 60,
          expenses: 50
        },
        {
          valueX: "65",
          income: 60,
          expenses: 50
        },
        {
          valueX: "60",
          income: 800,
          expenses: 800
        },
        {
          valueX: "55",
          income: 60,
          expenses: 50
        },
        {
          valueX: "50",
          income: 60,
          expenses: 50
        },
        {
          valueX: "45",
          income: 60,
          expenses: 50
        }
      ];

      let categoryAxis = chart2.xAxes.push(new am4charts.CategoryAxis());
      categoryAxis.dataFields.category = "valueX";
      categoryAxis.renderer.minGridDistance = 10;

      // eslint-disable-next-line no-unused-vars
      let valueAxis = chart2.yAxes.push(new am4charts.ValueAxis());

      let columnSeries = chart2.series.push(new am4charts.ColumnSeries());
      columnSeries.name = "Income";
      columnSeries.dataFields.valueY = "income";
      columnSeries.dataFields.categoryX = "valueX";

      columnSeries.columns.template.tooltipText =
        "[#fff font-size: 12px]{name} in {categoryX}:\n[/][#fff font-size: 15px]{valueY}[/] [#fff]{additional}[/]";
      columnSeries.columns.template.propertyFields.fillOpacity = "fillOpacity";
      columnSeries.columns.template.propertyFields.stroke = "stroke";
      columnSeries.columns.template.propertyFields.strokeWidth = "strokeWidth";
      columnSeries.columns.template.propertyFields.strokeDasharray =
        "columnDash";
      columnSeries.tooltip.label.textAlign = "middle";

      columnSeries.columns.template.width = am4core.percent(30);
      columnSeries.columns.template.fill = am4core.color("#b2b2b2");
      columnSeries.columns.template.stroke = am4core.color("#b2b2b2");

      let lineSeries = chart2.series.push(new am4charts.LineSeries());
      lineSeries.name = "Expenses";
      lineSeries.dataFields.valueY = "expenses";
      lineSeries.dataFields.categoryX = "valueX";

      lineSeries.stroke = am4core.color("#ae4544");
      lineSeries.strokeWidth = 1;
      lineSeries.propertyFields.strokeDasharray = "lineDash";
      lineSeries.tooltip.label.textAlign = "middle";

      chart2.data = data2;
    }
  },
  mounted() {
    this.drawCharts();
  }
};
</script>
